Description

During the course of re-designing tupane, the bulk actions feature has revealed the need for a robust bulk action architecture.

Actions that reach out to physical systems, or backend services may experience some time delay and need to be handled

asynchronously with reporting to the user on status.

Need to work with Foreman to unify on a Bulk Actions mechanism, most likely utilizing mcollective

----

Imported from https://trello.com/c/5foUhFzS/117-8-design-bulk-actions-architecture_

History

#1 - 08/18/2014 02:49 PM - Eric Helms

- Subject changed from [8] Design bulk actions architecture. to Design bulk actions architecture.

- Status changed from New to Needs design

- translation missing: en.field_story_points set to 8.0

- Triaged set to No

#2 - 12/09/2014 09:47 AM - Eric Helms

- Status changed from Needs design to Resolved

- Triaged changed from No to Yes

#3 - 07/08/2016 11:10 AM - Eric Helms

- translation missing: en.field_release set to 166
